Author Topic: .NET problem  (Read 684 times)

Offline Demious

  • Pathfinder
  • *
  • Posts: 16
    • View Profile
.NET problem
« on: May 29, 2015, 09:38:01 AM »
I'm having problems with Plan-G crashing upon start-up and I understand that this is happening because Plan-G needs .NET 4.0 instead of .NET 4.5.1 or 4.6. I tried to install .NET 4.0, but the installer wont execute because there is already a higher version installed.

What can I do to get .NET 4.0 installed?

Offline tim arnot

  • Administrator
  • Master Navigator
  • *****
  • Posts: 5919
  • Country: england
    • View Profile
Re: .NET problem
« Reply #1 on: May 29, 2015, 09:27:06 PM »
Make sure you have the right version of Plan-G for your operating system (which is...?)

If you're running W7/W8 etc, you need .Net 4.5. If you're running XP, you need .Net 4.0

Tim. @TimArnot

Offline Demious

  • Pathfinder
  • *
  • Posts: 16
    • View Profile
Re: .NET problem
« Reply #2 on: May 30, 2015, 09:44:05 AM »
Running Windows10 IP with .net 4.6, but from what I hear this would be able to run all programs fit for Windows 7 and 8 and before I reinstalled my system Plan-G did work fine.

Wonder what the problem can be, if it's not .net

Offline tim arnot

  • Administrator
  • Master Navigator
  • *****
  • Posts: 5919
  • Country: england
    • View Profile
Re: .NET problem
« Reply #3 on: May 30, 2015, 01:40:22 PM »
The problem is almost certainly .net, and Microsoft is notoriously good at breaking it. Check that you have all the patches installed - including anything labelled as "optional" (that's usually where the fixed version is lurking)

Tim. @TimArnot